holidays:
  # @source https://www8.cao.go.jp/chosei/shukujitsu/gaiyou.html
  # @source https://eco.mtk.nao.ac.jp/koyomi/yoko/index.html.en
  # @attrib https://ja.wikipedia.org/wiki/%E5%9B%BD%E6%B0%91%E3%81%AE%E7%A5%9D%E6%97%A5
  # Japan
  JP:
    names:
      jp: 日本
      en: Japan
    dayoff: sunday
    langs:
      - jp
    zones:
      - Asia/Tokyo
    days:
      01-01:
        _name: 01-01
      substitutes 01-01 if sunday then next monday:
        substitute: true
        _name: 01-01
        active:
          - from: 1973-04-12
      01-02:
        name:
          en: January 2nd
          jp: 銀行休業日
        type: bank
      01-03:
        name:
          en: January 3rd
          jp: 銀行休業日
        type: bank
      01-15:
        name:
          en: Coming of Age Day
          jp: 成人の日
        active:
          - from: 1948-07-20
            to: 1999-12-31
      substitutes 01-15 and if sunday then next monday:
        substitute: true
        name:
          en: Coming of Age Day
          jp: 成人の日
        active:
          - from: 1973-04-12
            to: 1999-12-31
      2nd monday in January:
        name:
          en: Coming of Age Day
          jp: 成人の日
        active:
          - from: 2000-01-01
      02-11:
        name:
          en: Foundation Day
          jp: 建国記念の日
        active:
          - from: 1967-01-01
      substitutes 02-11 and if sunday then next monday:
        substitute: true
        name:
          en: Foundation Day
          jp: 建国記念の日
        active:
          - from: 1973-04-12
      02-23 and if sunday then next monday:
        substitute: true
        name:
          en: Emperor's Birthday
          jp: 天皇誕生日
        active:
          - from: 2020-01-01
      march equinox in +09:00:
        name:
          en: Spring Equinox Day
          jp: 春分の日
        active:
          - from: 1948-07-20
      substitutes march equinox in +09:00 and if sunday then next monday:
        substitute: true
        name:
          en: Spring Equinox Day
          jp: 春分の日
        active:
          - from: 1973-04-12
      04-29:
        name:
          en: Emperor's Birthday
          jp: 天皇誕生日
        active:
          - from: 1948-07-20
            to: 1988-12-31
      substitutes 04-29 and if sunday then next monday:
        substitute: true
        name:
          en: Emperor's Birthday
          jp: 天皇誕生日
        active:
          - from: 1973-04-12
            to: 1988-12-31
      '04-29 and if sunday then next monday #1':
        substitute: true
        name:
          en: Greenery Day
          jp: みどりの日
        active:
          - from: 1989-01-01
            to: 2006-12-31
      '04-29 and if sunday then next monday #2':
        substitute: true
        name:
          en: Showa Day
          jp: 昭和の日
        active:
          - from: 2007-01-01
      '2019-04-30':
        name:
          en: Citizens' Holiday
          jp: 国民の休日
      '2019-05-01':
        name:
          en: Coronation Day
          jp: 即位の日
      '2019-05-02':
        name:
          en: Citizens' Holiday
          jp: 国民の休日
      05-03:
        _name: Constitution Day
      substitutes 05-03 if sunday then next monday:
        substitute: true
        _name: Constitution Day
        active:
          - from: 1973-04-12
            to: 2006-12-31
      substitutes 05-03 if sunday then next wednesday:
        substitute: true
        _name: Constitution Day
        active:
          - from: 2007-01-01
      05-04 not on sunday, monday:
        name:
          en: Citizens' Holiday
          jp: 国民の休日
        active:
          - from: 1986-01-01
            to: 2006-12-31
      05-04 and if sunday then next tuesday:
        substitute: true
        name:
          en: Greenery Day
          jp: みどりの日
        active:
          - from: 2007-01-01
      05-05:
        name:
          en: Children's Day
          jp: こどもの日
      substitutes 05-05 if sunday then next monday:
        substitute: true
        name:
          en: Children's Day
          jp: こどもの日
        active:
          - from: 1973-04-12
      07-20:
        substitute: true
        name:
          en: Marine Day
          jp: 海の日
        active:
          - from: 1996-01-01
            to: 2002-12-31
      3rd monday in July:
        name:
          en: Marine Day
          jp: 海の日
        disable:
          - '2020-07-20'
          - '2021-07-19'
        enable:
          - '2020-07-23'
          - '2021-07-22'
        active:
          - from: 2003-01-01
      substitutes 2021-08-08 and if sunday then next monday:
        substitute: true
        name:
          en: Mountain Day
          jp: 山の日
      substitutes 08-11 and if sunday then next monday:
        substitute: true
        name:
          en: Mountain Day
          jp: 山の日
        disable:
          - '2020-08-11'
          - '2021-08-11'
        enable:
          - '2020-08-10'
        active:
          - from: 2016-01-01
      09-15:
        name:
          en: Respect-for-the-Aged Day
          jp: 敬老の日
        active:
          - from: 1966-01-01
            to: 2002-12-31
      substitutes 09-15 and if sunday then next monday:
        substitute: true
        name:
          en: Respect-for-the-Aged Day
          jp: 敬老の日
        active:
          - from: 1973-04-12
            to: 2002-12-31
      3rd monday in September:
        name:
          en: Respect-for-the-Aged Day
          jp: 敬老の日
        active:
          - from: 2003-01-01
      09-22 if 09-21 and 09-23 is public holiday:
        name:
          en: Citizens' Holiday
          jp: 国民の休日
      september equinox in +09:00:
        name:
          en: Autumnal Equinox Day
          jp: 秋分の日
        active:
          - from: 1948-07-20
      substitutes september equinox in +09:00 and if sunday then next monday:
        substitute: true
        name:
          en: Autumnal Equinox Day
          jp: 秋分の日
        active:
          - from: 1973-04-12
      10-10:
        name:
          en: Sports Day
          jp: 体育の日
        active:
          - from: 1966-01-01
            to: 1999-12-31
      substitutes 10-10 and if sunday then next monday:
        substitute: true
        name:
          en: Sports Day
          jp: 体育の日
        active:
          - from: 1973-04-12
            to: 1999-12-31
      '2nd monday in October #1':
        name:
          en: Sports Day
          jp: 体育の日
        active:
          - from: 2000-01-01
            to: 2019-12-31
      '2nd monday in October #2':
        name:
          en: Sports Day
          jp: スポーツの日
        disable:
          - '2020-10-12'
          - '2021-10-11'
        enable:
          - '2020-07-24'
          - '2021-07-23'
        active:
          - from: 2020-01-01
      '2019-10-22':
        name:
          en: Enthronement Ceremony Day
          jp: 即位礼正殿の儀
      11-03:
        substitute: true
        name:
          en: Culture Day
          jp: 文化の日
        active:
          - from: 1948-07-20
      substitutes 11-03 and if sunday then next monday:
        substitute: true
        name:
          en: Culture Day
          jp: 文化の日
        active:
          - from: 1973-04-12
      11-15:
        name:
          en: Seven-Five-Three Festival
          jp: 七五三
        type: observance
      11-23:
        name:
          en: Labor Thanksgiving Day
          jp: 勤労感謝の日
        active:
          - from: 1948-07-20
      substitutes 11-23 and if sunday then next monday:
        substitute: true
        name:
          en: Labor Thanksgiving Day
          jp: 勤労感謝の日
        active:
          - from: 1973-04-12
      12-23 and if sunday then next monday:
        substitute: true
        name:
          en: Emperor's Birthday
          jp: 天皇誕生日
        active:
          - from: 1989-01-01
            to: 2018-12-31
      12-25:
        _name: 12-25
        type: observance
      12-31:
        _name: 12-31
        type: bank

